Bug 853479 - [RFE] Gluster configuration rollback
[RFE] Gluster configuration rollback
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.0
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Atin Mukherjee
storage-qa-internal@redhat.com
glusterd
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 12:51 EDT by Jacob Shucart
Modified: 2016-09-20 01:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-12 05:12:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacob Shucart 2012-08-31 12:51:03 EDT
Red Hat Storage New Feature Submission Template

Feature Title:Gluster configuration rollback for when operations fail>


Feature Description: If a volume change fails to work for some reason, it would be valuable to have a rollback feature.  For example, Intuit experienced an issue with a rebalance and there was no way to roll back the configuration.


Customer(s) Asking for the feature: This feature was not requested by a customer, however it would have enabled Intuit to recover from an issue quickly.  Although their issue was related to something non-RHS, this have been useful.


Customer(s) contacts re: requests for future feature clarification  ** Required


Use-cases that this feature solves or helps in solving: Any operation that involves modifying the volume configuration such as add-bricks, remove-bricks, replace-bricks, rebalancing, etc should have the ability to roll back.


Dependencies on other features & capabilities: **Optional


Potential Revenue Impact:** Required


Risks (if any) if we don't implement:** Optional


Time Frame (when is this needed):** Required
Comment 3 Atin Mukherjee 2016-08-12 05:12:21 EDT
Rollback support for GlusterD is targeted for GlusterD 2.0. I am closing this BZ for now and if you wish you can raise an upstream bug under GlusterD2 component to track the progress.

Note You need to log in before you can comment on or make changes to this bug.